CVE-2020-13113

NameCVE-2020-13113
DescriptionAn issue was discovered in libexif before 0.6.22. Use of uninitialized memory in EXIF Makernote handling could lead to crashes and potential use-after-free conditions.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-2222-1
NVD severitymedium
Debian Bugs961409

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
libexif (PTS)stretch0.6.21-2vulnerable
stretch (security)0.6.21-2+deb9u1vulnerable
buster, buster (security)0.6.21-5.1+deb10u1vulnerable
bullseye, sid0.6.22-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
libexifsource(unstable)0.6.21-9961409
libexifsourcejessie0.6.21-2+deb8u3DLA-2222-1

Notes

[buster] - libexif <no-dsa> (Minor issue)
[stretch] - libexif <no-dsa> (Minor issue)
https://github.com/libexif/libexif/commit/ec412aa4583ad71ecabb967d3c77162760169d1f (0.6.22)

Search for package or bug name: Reporting problems